Page MenuHomePhabricator

[MLIR][NVVM] Add test cases to check translation of matrix-multiply accumulate ops to the corresponding intrinsics in NVPTX backend
ClosedPublic

Authored by navdeepkk on Jan 24 2021, 11:24 PM.

Details

Summary

Add test cases to check translation of the following NVVM ops:-

1.) wmma.m16n16k16.load
2.) wmma.m16n16k1616.store
3.) wmma.m16n16k16.mma

Diff Detail

Event Timeline

navdeepkk created this revision.Jan 24 2021, 11:24 PM
navdeepkk requested review of this revision.Jan 24 2021, 11:24 PM
ftynse added a subscriber: ftynse.Jan 25 2021, 5:31 AM

Test cases must be added in the same commit as the code they are testing.

bondhugula accepted this revision.Jan 26 2021, 2:48 AM
bondhugula added inline comments.
mlir/test/Target/nvvmir.mlir
76

You may want to add a short comment here as to the test.

This revision is now accepted and ready to land.Jan 26 2021, 2:48 AM
navdeepkk closed this revision.May 22 2021, 3:09 AM
navdeepkk marked an inline comment as done.

Closing revision as changes here were moved to D95331.